Farm Machinery Open API

List devices

GEThttps://datastore.agribus-connect.net/v1/agricultural-machinery/devices

Returns the list of devices linked to the authenticated user

Authentication

Requires a Bearer token (JWT) · Required scopes: noki.devices.read

Parameters

None

curl example

curl -X GET 'https://datastore.agribus-connect.net/v1/agricultural-machinery/devices' \
  -H 'Authorization: Bearer <access_token>'

Responses

200 — OK · */* DeviceListResponse

{
  "devices": [
    {
      "device_id": "550e8400-e29b-41d4-a716-446655440000",
      "device_name": "Connect Agricultural Device",
      "manufacturer": "Agri Info Design",
      "model": "Connect-1",
      "serial_number": "CONN-2024-001",
      "firmware_version": "1.0.0"
    }
  ],
  "total_count": 1,
  "page": 1,
  "per_page": 10
}

Generated from the production OpenAPI documents as of 2026-10-27